## xserver-xorg-video-amdgpu 0.0.01~git20150807-0ubuntu1

=== debian/changelog ===
xserver-xorg-video-amdgpu (0.0.01~git20150807-0ubuntu1) wily; urgency=medium

  * Sync from debian git.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Aug 2015 14:19:31 +0300

xserver-xorg-video-amdgpu (0.0.01~git20150807-1) unstable; urgency=low

  * Initial release (Closes: #795686)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 16 Aug 2015 11:26:30 +0300

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

XXV=xserver-xorg-video

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build/ -- \
		--libdir=/usr/lib \
		--disable-silent-rules

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

# Debug packages:
override_dh_strip:
	dh_strip -p$(XXV)-amdgpu --dbg-package=$(XXV)-amdgpu-dbg

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with quilt,autoreconf,xsf --builddirectory=build/ --parallel

## xserver-xorg-video-amdgpu 25.0.0

=== meson_options.txt ===
option('udev', type: 'feature', description: 'Enable libudev support')
option('glamor', type: 'feature', description: 'Enable glamor acceleration')
option('moduledir', type: 'string', value: 'xorg/modules', description: 'Xorg module directory')
option('configdir', type: 'string', value: 'share/X11/xorg.conf.d', description: 'Xorg.conf.d directory')

## xserver-xorg-video-amdgpu 0.0.01%7egit20150807-0ubuntu1

=== debian/control ===
Source: xserver-xorg-video-amdgpu
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 quilt,
 libdrm-dev (>= 2.4.63) [!hurd-i386],
 libgl1-mesa-dev | libgl-dev,
 libgbm-dev,
 libpciaccess-dev,
 libudev-dev [linux-any],
 pkg-config,
 x11proto-core-dev,
 x11proto-dri2-dev,
 x11proto-fonts-dev,
 x11proto-randr-dev (>= 1.2),
 x11proto-render-dev,
 x11proto-video-dev,
 x11proto-xext-dev,
 x11proto-xf86dri-dev,
 xserver-xorg-dev (>= 2:1.16),
 xutils-dev (>= 1:7.5+4)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-xorg/xserver-xorg-video-amdgpu.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-xorg/xserver-xorg-video-amdgpu.git

Package: xserver-xorg-video-amdgpu
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Provides: ${xviddriver:Provides}
Suggests: linux-firmware
Description: X.Org X server -- AMDGPU display driver
 This package provides the 'amdgpu' driver for the AMD Radeon cards. The
 following chip families should be supported: Bonaire, Hawaii, Kaveri, Kabini
 Mullins, Iceland, Tonga, Carrizo.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xf86-video-amdgpu driver module.

Package: xserver-xorg-video-amdgpu-dbg
Architecture: linux-any
Depends:
 ${misc:Depends},
 xserver-xorg-video-amdgpu (= ${binary:Version})
Section: debug
Priority: extra
Description: X.Org X server -- AMDGPU display driver (debugging symbols)
 This package provides the 'amdgpu' driver for the AMD Radeon cards. The
 following chip families should be supported: Bonaire, Hawaii, Kaveri, Kabini
 Mullins, Iceland, Tonga, Carrizo.
 .
 This package provides debugging symbols for this X.org X driver.

=== debian/watch ===
version=3
http://xorg.freedesktop.org/releases/individual/driver/ xf86-video-amdgpu-(.*)\.tar\.gz

## xserver-xorg-video-amdgpu 18.1.99.1

=== debian/changelog ===
xserver-xorg-video-amdgpu (18.1.99.1-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: ec0d6b022c91df5ecb9df3b75e79c2e3624743cf']

 -- shuttle <shuttle@deepin.com>  Tue, 12 May 2020 16:30:59 +0000

=== debian/control ===
Source: xserver-xorg-video-amdgpu
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper (>= 11),
 quilt,
 libdrm-dev (>= 2.4.89) [!hurd-i386],
 libgl1-mesa-dev | libgl-dev,
 libgbm-dev,
 libudev-dev [linux-any],
 pkg-config,
 x11proto-dev,
 xserver-xorg-dev (>= 2:1.16),
 xutils-dev (>= 1:7.5+4)
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-amdgpu.git
Vcs-Browser: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-amdgpu.git

Package: xserver-xorg-video-amdgpu
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Provides: ${xviddriver:Provides}
Suggests: firmware-amd-graphics
Description: X.Org X server -- AMDGPU display driver
 This package provides the 'amdgpu' driver for the AMD Radeon cards. The
 following chip families should be supported: Bonaire, Hawaii, Kaveri, Kabini
 Mullins, Iceland, Tonga, Carrizo, Fiji, Stoney.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xf86-video-amdgpu driver module.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

XXV=xserver-xorg-video

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build/ -- \
		--libdir=/usr/lib

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Debug packages:
override_dh_strip:
	dh_strip -p$(XXV)-amdgpu --dbgsym-migration="$(XXV)-amdgpu-dbg (<< 18.0.1-2~)"

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with quilt,xsf --builddirectory=build/

## xserver-xorg-video-amdgpu 25.0.0

=== debian/changelog ===
xserver-xorg-video-amdgpu (25.0.0-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version.
  * d/control: Add meson to b-d
  * d/copyright: Update to current codebase
  * debian/upstream: Merge signing keys
  * debian/watch: Update to v5
  * Update to standards version 4.7.2
  * Update source package format to version 3
  * d/control: Use pkgconf instead of pkg-config

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Oct 2025 18:42:49 +0200

xserver-xorg-video-amdgpu (23.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1031021)
  * upstream: Add signing key from Shashank Sharma.
  * patches: Dropped, all upstream.
  * control: Fix gl-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Feb 2023 11:22:20 +0200

xserver-xorg-video-amdgpu (22.0.0-3) unstable; urgency=medium

  * Added patch from git to fix slow refresh rate with AMD GPU Screen
    output in reverse prime mode. (LP: #1987038)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Fri, 19 Aug 2022 13:16:55 +0800

xserver-xorg-video-amdgpu (22.0.0-2) unstable; urgency=medium

  * Added patches from git to fix slow refresh rate with Displaylink
    output. (LP: #1875015)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Jul 2022 11:29:03 +0300

xserver-xorg-video-amdgpu (22.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstreamed patch.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Feb 2022 07:52:20 +0200

xserver-xorg-video-amdgpu (21.0.0-2) unstable; urgency=medium

  * patches: Fix a regression causing corruption with fullscreen games.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 11:46:59 +0200

xserver-xorg-video-amdgpu (21.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Aug 2021 14:11:09 +0300

xserver-xorg-video-amdgpu (19.1.0-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream build fix for GCC 10 (closes: #957997).
    Thanks, Matthias Klose!

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Sep 2020 15:25:15 +0200

xserver-xorg-video-amdgpu (19.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Oct 2019 22:09:05 +0300

xserver-xorg-video-amdgpu (19.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 06 Apr 2019 23:02:05 +0300

xserver-xorg-video-amdgpu (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Mar 2019 11:49:30 +0200

xserver-xorg-video-amdgpu (18.1.99+git20190207-1) unstable; urgency=medium

  * New upstream snapshot.
  * Stop passing --disable-silent-rules to configure.

 -- Andreas Boll <aboll@debian.org>  Thu, 07 Feb 2019 22:19:06 +0100

xserver-xorg-video-amdgpu (18.1.0-1) unstable; urgency=medium

  * Switch to dbgsym package.
  * New upstream release.
  * control: Build-depend on x11proto-dev.
  * control: Bump libdrm build-dep.
  * Bump debhelper to 11.
  * control: Bump policy to 4.2.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Sep 2018 10:23:52 +0300

xserver-xorg-video-amdgpu (18.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Mar 2018 14:02:29 +0200

xserver-xorg-video-amdgpu (18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Update VCS urls.
  * control: Bump policy to 4.1.3, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Mar 2018 04:44:35 +0200

xserver-xorg-video-amdgpu (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libdrm-dev build-dep to 2.4.78 to match configure.ac.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Sep 2017 00:17:42 +0300

xserver-xorg-video-amdgpu (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libdrm-dev build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Jun 2017 11:44:43 +0300

xserver-xorg-video-amdgpu (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.8, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Nov 2016 11:21:36 +0200

xserver-xorg-video-amdgpu (1.1.2-1) unstable; urgency=medium

  * New upstream release.
    - fix-configdir.diff: Dropped, fixed upstream

  [ Julien Cristau ]
  * Use https URL in debian/watch.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Sep 2016 13:18:07 +0300

xserver-xorg-video-amdgpu (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * fix-configdir.diff: Fix installing the config snippet.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Sep 2016 23:55:07 +0300

xserver-xorg-video-amdgpu (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.7, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Apr 2016 13:32:21 +0300

xserver-xorg-video-amdgpu (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2016 06:36:08 +0200

xserver-xorg-video-amdgpu (1.0.0-1) unstable; urgency=medium

  [ Andreas Boll ]
  * First upstream release.
  * Let uscan verify tarball signatures.
  * Replace non-existing Suggests: linux-firmware with new firmware-amd-
    graphics.
  * Remove unused libpciaccess-dev build-dep.
  * Update list of supported chips.
  * Use https for Vcs-* fields.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Nov 2015 15:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
+ meson,
  quilt,
  libdrm-dev (>= 2.4.89) [!hurd-i386],
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
  libgbm-dev,
  libudev-dev [linux-any],
- pkg-config,
+ pkgconf,
  x11proto-dev,
  xserver-xorg-dev (>= 2:1.16),
  xutils-dev (>= 1:7.5+4)
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-amdgpu.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/driver/xserver-xorg-video-amdgpu.git

=== debian/rules ===
--- 
+++ 
@@ -30,4 +30,4 @@
 	dh_shlibdeps -- --warnings=6
 
 %:
-	dh $@ --with quilt,xsf --builddirectory=build/
+	dh $@ --with xsf --builddirectory=build/

=== debian/watch ===
Version: 5
Source: https://xorg.freedesktop.org/releases/individual/driver/
Matching-Pattern: xf86-video-amdgpu-@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
